require 'spec_helper'

describe Vertpig::Configuration do
  context 'defaults' do
    it 'is a hash of default configuration' do
      expect(Vertpig::Configuration.defaults).to be_kind_of(Hash)
    end
  end

  context 'access' do
    it 'is callable from .config' do
      Vertpig.config do |c|
        expect(c).to be_kind_of(Vertpig::Configuration)
      end
    end

    context 'options' do
      let(:map) { { 'user' => { a: 1 } } }
      let(:api_key) { 'my_special_key' }

      it 'is able to set the options_key' do
        Vertpig.config { |config| config.key = api_key }
        expect(Vertpig.configuration.key).to eq(api_key)
      end
    end
  end
end
